# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "empower"


def test_decode_results_multiple(self):
    worklist = self.decode(
        """
        "SampleName"\t"Retention Time"\t"Area"\t"Height"\t"Amount"
    "34700118671"\t9.190\t5941\t451\t0.28
    "34700118778"\t9.774\t336947\t26498\t1.000
    "34700118880"\t12.360\t5499\t414\t0.80"""
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [
                    {"code": "Retention Time", "value": "9.190"},
                    {"code": "Area", "value": "5941"},
                    {"code": "Height", "value": "451"},
                    {"code": "Amount", "value": "0.28"},
                ],
                "sample_id": "34700118671",
                "type": "patient",
            },
            {
                "results": [
                    {"code": "Retention Time", "value": "9.774"},
                    {"code": "Area", "value": "336947"},
                    {"code": "Height", "value": "26498"},
                    {"code": "Amount", "value": "1.000"},
                ],
                "sample_id": "34700118778",
                "type": "patient",
            },
            {
                "results": [
                    {"code": "Retention Time", "value": "12.360"},
                    {"code": "Area", "value": "5499"},
                    {"code": "Height", "value": "414"},
                    {"code": "Amount", "value": "0.80"},
                ],
                "sample_id": "34700118880",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected


def test_decode_result(self):
    worklist = self.decode(
        """
    "SampleName"	"Amount"
    "65700890858"	0.28
    "65700890859"	0.52
    "65700890860"	0.76
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [{"code": "Amount", "value": "0.28"}],
                "sample_id": "65700890858",
                "type": "patient",
            },
            {
                "results": [{"code": "Amount", "value": "0.52"}],
                "sample_id": "65700890859",
                "type": "patient",
            },
            {
                "results": [{"code": "Amount", "value": "0.76"}],
                "sample_id": "65700890860",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
