# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "hemofax"


def test_lame(self):
    result = self.decode(
        """H|\\^&
P|1
O|1|460102268423
R|1|^^^EO|1.0|||||F
R|2|^^^BASO|0.0|||||F
R|3|^^^LYMP|75.0|||||F
L|1"""
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "sample_id": "460102268423",
                "type": "patient",
                "results": [
                    {"code": "LAME", "value": "HFAXS"},
                    {"code": "EO", "value": "1.0", "zero": ["0", "0.0", "", "NO"]},
                    {"code": "LYMP", "value": "75.0", "zero": ["0", "0.0", "", "NO"]},
                ],
            }
        ],
    }
    assert result == expected
